### Method

# Gio TlsConnection emit_accept_certificate

since: 2.28

#### Declaration

    gboolean
    g_tls_connection_emit_accept_certificate (
      GTlsConnection* conn,
      GTlsCertificate* peer_cert,
      GTlsCertificateFlags errors
    )

#### Description

Used by `GTlsConnection` implementations to emit the `GTlsConnection::accept-certificate` signal.

Available since: 2.28

#### Parameters

`peer_cert`

  Type: `GTlsCertificate`

  The peer’s `GTlsCertificate`.

  The data is owned by the caller of the method.

`errors`

  Type: `GTlsCertificateFlags`

  The problems with `peer_cert`.

#### Return value

Type: `gboolean`

`TRUE` if one of the signal handlers has returned `TRUE` to accept `peer_cert`.